<?php

/**
 * The taxonomy post format
 *
 * @package WordPress
 * @subpackage Liquid_Blank
 * @since Liquid Blank 1.0
 */

get_header(); ?>

	<div id="content-wrapper" class="boxed-width">

		<div class="row">

			<div id="content" class="col-md-9">

			<?php if ( have_posts() ) : ?>

			<header>
				<h1>
					<?php
						if ( is_tax( 'post_format', 'post-format-aside' ) ) :
							_e( 'Заметки', 'liquidblank' );

						elseif ( is_tax( 'post_format', 'post-format-image' ) ) :
							_e( 'Изображения', 'liquidblank' );

						elseif ( is_tax( 'post_format', 'post-format-video' ) ) :
							_e( 'Видео', 'liquidblank' );

						elseif ( is_tax( 'post_format', 'post-format-audio' ) ) :
							_e( 'Аудио', 'liquidblank' );

						elseif ( is_tax( 'post_format', 'post-format-quote' ) ) :
							_e( 'Цитаты', 'liquidblank' );

						elseif ( is_tax( 'post_format', 'post-format-link' ) ) :
							_e( 'Ссылки', 'liquidblank' );

						elseif ( is_tax( 'post_format', 'post-format-gallery' ) ) :
							_e( 'Галерея', 'liquidblank' );

						else :
							_e( 'Архивы', 'liquidblank' );

						endif;
					?>
				</h1>
			</header><!-- .archive-header -->

			<?php
					// Start the Loop.
					while ( have_posts() ) : the_post();

						/*
						 * Include the post format-specific template for the content. If you want to
						 * use this in a child theme, then include a file called called content-___.php
						 * (where ___ is the post format) and that will be used instead.
						 */
						get_template_part( 'content', get_post_format() );

					endwhile;
					// Previous/next page navigation.
					liquidblank_pagination() ;

				else :
					// If no content, include the "No posts found" template.
					get_template_part( 'content', 'none' );

				endif;
			?>
		</div><!-- #content -->



	</div><!-- .row -->

</div><!-- #content-wrapper -->

<?php

get_footer();
